// @ts-check

class DateNaissance {
	constructor( jour, mois, annee ) {
		this.jour = jour;
		this.mois = mois;
		this.annee = annee;
	}
}

class Personne {
	/**
		@param {string} prenom - prénom d'une personne
		@param {string} nom - nom d'une personne
		@param {DateNaissance} date - date de naissance d'une personne
		@constructor Création d'une personne
	*/
	constructor( prenom,  nom, date ) {		
		this.prenom = prenom;
		this.nom = nom;
		this.date = date;
	}
}

let a = new Personne( "alexandre", "brillant", new DateNaissance( 10, 10, 1900 ) );
let b = a;
